onEvent('recipes', event => {

    //Stone

    //Wooden Pickaxe recipe
    event.recipes.custommachinery.custom_machine("modpack:automatic_miner", 300)
        .produceItem(Item.of("minecraft:coal", 5))
        .produceItem(Item.of("minecraft:dirt", 3))
        .produceItem(Item.of("minecraft:gravel", 2))
        .produceItem(Item.of("minecraft:cobblestone", 6))
        .requireItem(Item.of("minecraft:wooden_pickaxe"))
        .requireItem(Item.of("minecraft:stone", 16))
        .requireEnergyPerTick(15)

    //Stone Pickaxe recipe
    event.recipes.custommachinery.custom_machine("modpack:automatic_miner", 600)
        .produceItem(Item.of("minecraft:coal", 19))
        .produceItem(Item.of("minecraft:iron_ore", 11))
        .produceItem(Item.of("minecraft:gravel", 4))
        .produceItem(Item.of("minecraft:cobblestone", 6))
        .requireItem(Item.of("minecraft:stone_pickaxe"))
        .requireItem(Item.of("minecraft:stone", 40))
        .requireEnergyPerTick(15)

    //Iron Pickaxe recipe
    event.recipes.custommachinery.custom_machine("modpack:automatic_miner", 1200)
        .produceItem(Item.of("minecraft:iron_ore", 31))
        .produceItem(Item.of("minecraft:gold_ore", 7))
        .produceItem(Item.of("minecraft:diamond", 2))
        .produceItem(Item.of("minecraft:cobblestone", 8))
        .requireItem(Item.of("minecraft:iron_pickaxe"))
        .requireItem(Item.of("minecraft:stone", 48))
        .requireEnergyPerTick(15)

    //Diamond Pickaxe recipe
    event.recipes.custommachinery.custom_machine("modpack:automatic_miner", 1600)
        .produceItem(Item.of("minecraft:diamond", 9))
        .produceItem(Item.of("minecraft:iron_ore", 8))
        .produceItem(Item.of("minecraft:obsidian", 5))
        .produceItem(Item.of("minecraft:cobblestone", 10))
        .requireItem(Item.of("minecraft:diamond_pickaxe"))
        .requireItem(Item.of("minecraft:stone", 32))
        .requireEnergyPerTick(15)



    //Nether Brick
    
    //Iron Pickaxe recipe
    event.recipes.custommachinery.custom_machine("modpack:automatic_miner", 1200)
        .produceItem(Item.of("minecraft:quartz", 14))
        .produceItem(Item.of("minecraft:gold_nugget", 10))
        .produceItem(Item.of("minecraft:soul_sand", 3))
        .produceItem(Item.of("minecraft:netherrack", 5))
        .requireItem(Item.of("minecraft:iron_pickaxe"))
        .requireItem(Item.of("minecraft:nether_brick", 32))
        .requireEnergyPerTick(15)
    
    //Diamond Pickaxe recipe
    event.recipes.custommachinery.custom_machine("modpack:automatic_miner", 1600)
        .produceItem(Item.of("minecraft:quartz", 37))
        .produceItem(Item.of("minecraft:gold_nugget", 15))
        .produceItem(Item.of("minecraft:ancient_debris", 2))
        .produceItem(Item.of("minecraft:netherrack", 13))
        .requireItem(Item.of("minecraft:diamond_pickaxe"))
        .requireItem(Item.of("minecraft:nether_brick", 56))
        .requireEnergyPerTick(15)
    
    //Netherite Pickaxe recipe
    event.recipes.custommachinery.custom_machine("modpack:automatic_miner", 2400)
        .produceItem(Item.of("minecraft:ancient_debris", 11))
        .produceItem(Item.of("minecraft:obsidian", 8))
        .produceItem(Item.of("minecraft:gilded_blackstone", 5))
        .produceItem(Item.of("minecraft:netherrack", 27))
        .requireItem(Item.of("minecraft:netherite_pickaxe"))
        .requireItem(Item.of("minecraft:nether_brick", 50))
        .requireEnergyPerTick(15)



    //Marble

    //Stone Pickaxe recipe
    event.recipes.custommachinery.custom_machine("modpack:automatic_miner", 600)
        .produceItem(Item.of("astralsorcery:marble_raw", 48))
        .requireItem(Item.of("minecraft:stone_pickaxe"))
        .requireItem(Item.of("astralsorcery:marble_raw", 1)).chance(0.0)
        .requireEnergyPerTick(15)

    //Iron Pickaxe recipe
    event.recipes.custommachinery.custom_machine("modpack:automatic_miner", 600)
        .produceItem(Item.of("astralsorcery:aquamarine", 17))
        .produceItem(Item.of("astralsorcery:rock_crystal_ore", 2))
        .produceItem(Item.of("astralsorcery:stardust"))
        .produceItem(Item.of("astralsorcery:marble_raw", 9))
        .requireItem(Item.of("minecraft:iron_pickaxe"))
        .requireItem(Item.of("astralsorcery:marble_raw", 32))
        .requireEnergyPerTick(15)

})